.TH wxSpinButton 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSpinButton \- See external documentation: wxSpinButton\&.
.SH DESCRIPTION
.LP
See external documentation: wxSpinButton <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinbutton\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSpinButton()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSpinButton()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinbutton\&.html#wxspinbuttonwxspinbutton>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxSpinButton()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxSpinButton()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinbutton\&.html#wxspinbuttonwxspinbutton>\&.
.RE
.LP
.B
create(This::wxSpinButton(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, [])\&.
.RE
.LP
.B
create(This::wxSpinButton(), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinbutton\&.html#wxspinbuttoncreate>\&.
.RE
.LP
.B
getMax(This::wxSpinButton()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinbutton\&.html#wxspinbuttongetmax>\&.
.RE
.LP
.B
getMin(This::wxSpinButton()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinbutton\&.html#wxspinbuttongetmin>\&.
.RE
.LP
.B
getValue(This::wxSpinButton()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinbutton\&.html#wxspinbuttongetvalue>\&.
.RE
.LP
.B
setRange(This::wxSpinButton(), MinVal::integer(), MaxVal::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinbutton\&.html#wxspinbuttonsetrange>\&.
.RE
.LP
.B
setValue(This::wxSpinButton(), Value::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinbutton\&.html#wxspinbuttonsetvalue>\&.
.RE
.LP
.B
destroy(This::wxSpinButton()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
